Skip to main content

Get All Order Status

This API allows your application to retrieve the status of your orders in the FrontGo system. You can get a complete overview of all orders or filter for specific statuses, such as PAID, CANCELLED, or INVOICED. This is a vital tool for maintaining a real-time, comprehensive view of your payment operations and keeping your internal systems synchronized with Front Payment.

Endpoint

  • Fetch all orders:
GET https://demo-api.frontpayment.no/api/v1/connect/orders/status
  • Fetch orders with a specific status such as "Paid":
https://demo-api.frontpayment.no/api/v1/connect/orders/status?type=Paid
  • Fetch orders within a specific date range:
https://demo-api.frontpayment.no/api/v1/connect/orders/status?startTimestamp={{startTimestamp}}&endTimestamp={{endTimestamp}}

Query Parameters

type (optional): You can use this parameter to filter the orders by their status. If this parameter is not given, orders from all status will be fetched.You can use one of the following values:

  • SENT
  • PAID
  • CANCELLED
  • EXPIRED
  • INVOICED
  • REFUNDED
  • PARTIAL REFUNDED

startTimestamp (optional): If this parameter is given, order from this date will be retrieved.

endTimestamp (optional): If this parameter is given, order to this date will be retrieved.

Authorization

Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.

Example:

Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN

Response

A successful request will return a 200 status with the following JSON payload:

{
    "status_code": 200,
    "status_message": "OK",
    "message": "Order Status Retrieved Successfully",
    "is_data": true,
    "data": [
      {
        "uuid": "String",
        "status": "String"
      },
      {
        "uuid": "String",
        "status": "String"
      }
    ]
}

API returns a 510 error, it means something failed on the server side

{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "Something Went Wrong",
    "is_error": true,
    "errors": "Array"
}